Consultar grafo da análise
curl --request GET \
--url https://api.nlbs.ai/analyses/{analysis_uuid}/graphimport requests
url = "https://api.nlbs.ai/analyses/{analysis_uuid}/graph"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.nlbs.ai/analyses/{analysis_uuid}/graph', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"graph": {
"root_entity_id": 123,
"edges": [
{
"projection_key": "<string>",
"source_canonical_id": 123,
"source_label": "Entity",
"target_canonical_id": 123,
"target_label": "Entity",
"canonical_id": 123,
"canonical_table": "<string>",
"confidence_level": "<string>",
"display_name": "<string>",
"evidence_count": 123,
"evidence_id": 123,
"evidence_table": "<string>",
"evidence_type": "<string>",
"is_active": true,
"is_expanded": false,
"is_inferred": false,
"relationship_role": "<string>",
"relationship_subtype": "<string>",
"relationship_type": "ACCOUNT_AT_INSTITUTION",
"risk_level": "<string>",
"source_id": 123,
"status": "<string>",
"valid_from": "2023-12-25",
"valid_to": "2023-12-25"
}
],
"limitations": [
{
"code": "<string>",
"message": "<string>",
"details": {},
"entity_id": 1
}
],
"nodes": [
{
"canonical_id": 123,
"canonical_table": "<string>",
"key": "<string>",
"closed_at": null,
"decision_date": null,
"display_name": "<string>",
"is_active": true,
"is_expanded": false,
"is_inferred": false,
"label": "AdministrativeProceeding",
"opened_at": null,
"proceeding_number": null,
"proceeding_type": null,
"signal_severity": "clean",
"source_id": 123,
"status": "<string>",
"valid_from": "2023-12-25",
"valid_to": "2023-12-25"
}
],
"paths": [
{
"depth": 1,
"path_id": "<string>",
"root_node_key": "<string>",
"target_node_key": "<string>",
"contains_cycle": false,
"direction": "self",
"edge_keys": [
"<string>"
],
"equivalent_path_count": 1,
"node_keys": [
"<string>"
],
"truncated": false
}
],
"truncated": false
},
"network_peps": [
{
"entity": {
"display_name": "<string>",
"entity_id": 123,
"entity_type": "person"
},
"end_date": "2023-12-25",
"institution_name": "<string>",
"pep_degree": 123,
"pep_status": "active",
"pep_type": "elected_official",
"position_title": "<string>",
"start_date": "2023-12-25"
}
],
"signal_graph_index": [
{
"signal_code": "<string>",
"edge_keys": [
"<string>"
],
"node_keys": [
"<string>"
],
"path_ids": [
"<string>"
]
}
],
"ubo_findings": [
{
"beneficial_owner": {
"display_name": "<string>",
"entity_id": 123,
"entity_type": "person"
},
"beneficial_ownership_type": "declared_ubo",
"confidence_level": "high",
"control_type": "ownership",
"identification_reason": "<string>",
"organization": {
"display_name": "<string>",
"entity_id": 123,
"entity_type": "person"
},
"status": "confirmed",
"control_chain_depth": 1,
"is_direct": false,
"limitations": [
{
"code": "<string>",
"message": "<string>",
"details": {},
"entity_id": 1
}
],
"ownership_percentage": 50,
"paths": [
{
"depth": 123,
"root_node_key": {
"canonical_id": 123,
"label": "Entity"
},
"target_node_key": {
"canonical_id": 123,
"label": "Entity"
},
"contains_cycle": false,
"direction": "self",
"edge_keys": [
"<string>"
],
"equivalent_path_count": 1,
"node_keys": [
{
"canonical_id": 123,
"label": "Entity"
}
],
"path_id": "",
"truncated": false
}
],
"source": "declared_beneficial_ownership",
"voting_percentage": 50
}
],
"ubo_resolution": {
"fully_resolved": true,
"has_upstream_ownership": true,
"unresolved": [
{
"entity": {
"display_name": "<string>",
"entity_id": 123,
"entity_type": "person"
},
"paths": [
{
"depth": 123,
"root_node_key": {
"canonical_id": 123,
"label": "Entity"
},
"target_node_key": {
"canonical_id": 123,
"label": "Entity"
},
"contains_cycle": false,
"direction": "self",
"edge_keys": [
"<string>"
],
"equivalent_path_count": 1,
"node_keys": [
{
"canonical_id": 123,
"label": "Entity"
}
],
"path_id": "",
"truncated": false
}
]
}
]
}
}{
"detail": "Resource not found."
}{
"detail": "Resource not found."
}{
"detail": "Resource not found."
}Grafo da análise
Consultar grafo da análise
Recorte do grafo, sem duplicatas, mais o índice de destaque sinal→grafo.
GET
/
analyses
/
{analysis_uuid}
/
graph
Consultar grafo da análise
Path Parameters
Response
Successful Response
Recorte do grafo, sem duplicatas, com chaves de destaque em string; nulo até ficar pronto.
Show child attributes
Show child attributes
Pessoas politicamente expostas encontradas na rede do subject (exclui o próprio subject).
Show child attributes
Show child attributes
signal_code -> chaves de nó/aresta/caminho a destacar.
Show child attributes
Show child attributes
Beneficiários finais identificados para o subject (PJ), exibidos com o grafo.
Show child attributes
Show child attributes
Completude da resolução de beneficiários finais para um subject PJ; nulo para PF.
Show child attributes
Show child attributes

